com.google.cloud.dataflow.sdk.transforms

## Class CombineWithContext.Context

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.CombineWithContext.Context

Enclosing class:
  CombineWithContext

    public abstract static class CombineWithContext.Context
    extends Object

Information accessible to all methods in `CombineFnWithContext` and `KeyedCombineFnWithContext`.

### Constructor Summary

Constructors
Constructor and Description
`Context()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract PipelineOptions` `getPipelineOptions()` Returns the `PipelineOptions` specified with the `PipelineRunner` invoking this `KeyedCombineFn`.
`abstract <T> T` `sideInput(PCollectionView<T> view)` Returns the value of the side input for the window corresponding to the window of the main input element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Context

    public Context()

### Method Detail

#### getPipelineOptions

    public abstract PipelineOptions getPipelineOptions()

Returns the `PipelineOptions` specified with the `PipelineRunner` invoking this `KeyedCombineFn`.

#### sideInput

    public abstract <T> T sideInput(PCollectionView<T> view)

Returns the value of the side input for the window corresponding to the window of the main input element.